The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a vigilance database and tools to fix them.

Vulnerability of Perl Core: buffer overflow via S_regatom

Synthesis of the vulnerability 

An attacker can generate a buffer overflow via S_regatom of Perl Core, in order to trigger a denial of service, and possibly to run code.
Impacted systems: Mac OS X, Debian, Fedora, OpenBSD, openSUSE Leap, Oracle DB, Solaris, Perl Core, RHEL, SUSE Linux Enterprise Desktop, SLES, Ubuntu.
Severity of this alert: 3/4.
Creation date: 16/04/2018.
Références of this alert: 132227, bulletinjan2019, cpujul2020, CVE-2018-6797, DSA-4172-1, FEDORA-2018-0050f7c0d1, FEDORA-2018-1c8b49fbc7, FEDORA-2018-d1ba58394e, HT208937, HT209193, openSUSE-SU-2018:1095-1, RHSA-2018:1192-01, SUSE-SU-2018:1972-1, USN-3625-1, USN-3625-2, VIGILANCE-VUL-25877.

Description of the vulnerability 

An attacker can generate a buffer overflow via S_regatom of Perl Core, in order to trigger a denial of service, and possibly to run code.
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

This computer threat announce impacts software or systems such as Mac OS X, Debian, Fedora, OpenBSD, openSUSE Leap, Oracle DB, Solaris, Perl Core, RHEL, SUSE Linux Enterprise Desktop, SLES, Ubuntu.

Our Vigil@nce team determined that the severity of this computer vulnerability is important.

The trust level is of type confirmed by the editor, with an origin of document.

An attacker with a expert ability can exploit this cybersecurity alert.

Solutions for this threat 

Perl Core: version 5.26.2.
The version 5.26.2 is fixed:
  http://www.cpan.org/src/

Perl Core: version 5.24.4.
The version 5.24.4 is fixed:
  http://www.cpan.org/src/

Perl Core: patch for S_regatom.
A patch is indicated in information sources.

Apple macOS: version 10.13.6.
The version 10.13.6 is fixed:
  https://support.apple.com/

Apple macOS: version 10.14.1.
The version 10.14.1 is fixed:
  https://support.apple.com/

Debian 9: new perl packages.
New packages are available:
  Debian 9: perl 5.24.1-3+deb9u3

Fedora: new perl-Module-CoreList packages.
New packages are available:
  Fedora 26: perl-Module-CoreList 5.20180414-1.fc26
  Fedora 27: perl-Module-CoreList 5.20180414-1.fc27

Fedora: new perl packages.
New packages are available:
  Fedora 26: perl 5.24.4-397.fc26
  Fedora 27: perl 5.26.2-404.fc27
  Fedora 28: perl 5.26.2-410.fc28

OpenBSD: patch for perl.
A patch is available:
  https://ftp.openbsd.org/pub/OpenBSD/patches/6.1/common/039_perl.patch.sig
  https://ftp.openbsd.org/pub/OpenBSD/patches/6.2/common/011_perl.patch.sig
  https://ftp.openbsd.org/pub/OpenBSD/patches/6.3/common/001_perl.patch.sig

openSUSE Leap 42.3: new perl packages.
New packages are available:
  openSUSE Leap 42.3: perl 5.18.2-12.1

Oracle Database: CPU of July 2020.
A Critical Patch Update is available:
  https://support.oracle.com/rs?type=doc&id=2664876.1

Oracle Solaris: patch for third party software of January 2019 v1.
A patch is available:
  https://support.oracle.com/rs?type=doc&id=1448883.1

RHEL: new rh-perl524-perl packages.
New packages are available:
  RHEL 6: rh-perl524-perl 5.24.0-380.el6
  RHEL 7: rh-perl524-perl 5.24.0-380.el7

SUSE LE 12: new perl packages.
New packages are available:
  SUSE LE 12 RTM: perl 5.18.2-12.14.1
  SUSE LE 12 SP1: perl 5.18.2-12.14.1
  SUSE LE 12 SP2: perl 5.18.2-12.14.1
  SUSE LE 12 SP3: perl 5.18.2-12.14.1

Ubuntu: new perl packages.
New packages are available:
  Ubuntu 17.10: perl 5.26.0-8ubuntu1.1
  Ubuntu 16.04 LTS: perl 5.22.1-9ubuntu0.3
  Ubuntu 14.04 LTS: perl 5.18.2-2ubuntu1.4
  Ubuntu 12.04 ESM: perl 5.14.2-6ubuntu2.7
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

Computer vulnerabilities tracking service 

Vigil@nce provides software vulnerabilities analysis. Each administrator can customize the list of products for which he wants to receive vulnerability alerts.